import logging from 'improved-logging'

logging.important('Hi, this is complete logging usage exapmple')


logging.success('This log successfully written')
logging.info('Not important info')
logging.warn('Some suspicious thing')
logging.important('Noticeable thing')
logging.error('Important but not cicritical error')
logging.fatal('Something that affects all app')


logging.setLogLevel('important')
logging.important('verbose', 'successful', 'info', 'logs will be hidden now')


logging.setLogfileName('./main.log')
logging.setLogLevel('success')
logging.info('That log you can see in log file')

logging.setLogLevel('verbose')
logging.info('You can also use', 'multiple', 'arguments')
logging.important('And objects', {a: 1, b: 2, c: 3})


logging.startServer()

setInterval(() => {
    const loggingTypes = ['verbose', 'success', 'info', 'warn', 'important', 'error', 'fatal']
    const randomLog = loggingTypes[Math.floor(Math.random() * loggingTypes.length)]
    logging[randomLog]('Random log: ' + randomLog)
}, 1000)
